%  Plot impulsresponsen for filteret
%  Kode rettet for krsel under Matlab 5.0
%
%  Version 3.2, Jrgen Arendt Jensen, 7/2-2000

function ans = plot_imp (impuls,signal,hp2,hp3,tf3)

%  Plot impulsresponse

axes(hp3)
plot(impuls)
title('Filters impulssvar')
axis([-10 100 1.1*min(impuls) 1.1*max(impuls)])
set(hp3,'Xticklabel','','Yticklabel','')

%  Set slider til korrekt omrde

set(tf3,'Value',0,'Max',max([max(size(signal)) max(size(impuls))]),'Min',0);

%  Slet resultatvindue

axes(hp2)
cla
