%  Demonstration for playing sounds from pulsed wave scanning
%  Version for Matlab 5.
%
%  Version 1.1, 3/9-98, JAJ

clf
hp1=axes('position',[0.25 0.1 0.7 0.8]);  
axes(hp1)
zoom on

%  Place push buttons on the display

t1=uicontrol('Style','Pushbutton','Units','normalized','Position',[0.02 0.8 0.15 0.08],...
              'Callback','play(''aorta_long1'');',...
              'String','Aorta, logitudinal');

t2=uicontrol('Style','Pushbutton','Units','normalized','Position',[0.02 0.7 0.15 0.08],...
              'Callback','play(''aorta_tran1'');',...
              'String','Aorta, transverse');

t3=uicontrol('Style','Pushbutton','Units','normalized','Position',[0.02 0.6 0.15 0.08],...
              'Units','normalized','Callback','play(''car_long1'');',...
              'String','Carotid, longitudinal');

t4=uicontrol('Style','Pushbutton','Units','normalized','Position',[0.02 0.5 0.15 0.08],...
              'Callback','play(''car_tran2'');',...
              'String','Carotid, transverse');

t5=uicontrol('Style','Pushbutton','Units','normalized','Position',[0.02 0.4 0.15 0.08],...
              'Units','normalized','Callback','play(''hepa_long1'');',...
              'String','Hepatic vein, longitudinal');

t6=uicontrol('Style','Pushbutton','Units','normalized','Position',[0.02 0.3 0.15 0.08],...
              'Callback','play(''porta_long1'');',...
              'String','Portal vein, longitudinal');


