%  Plot signalet og slet resultatvinduet
%
%  version 2.0, 26/1-1998

function ans = plot_sig (signal,impuls,hp1,hp2,farve,tf3)

%  Find signallaengder

N1=max(size(signal));
N2=max(size(impuls));
N=max([N1 N2]);

%  Opst akser

axes(hp1)
cla
plot(signal,'b')
axis([0 N-1 1.1*min([signal impuls]) 1.1*max([signal impuls])])
set(hp1,'Xticklabel','','Yticklabel','')
title('Ingangssignal')

max_value=max(conv(signal,impuls))*1.1;
min_value=min(conv(signal,impuls))*1.1;

axes(hp2)
cla
plot(conv(signal,impuls),farve) % sort = k
axis([0 N-1 min_value max_value])
set(hp2,'Xticklabel','','Yticklabel','')
title('Resultat')

%  Set slider til korrekt omrde

set(tf3,'Value',0,...
        'Max',max([max(size(signal)) max(size(impuls))]),'Min',0);
